import { select, arc } from 'd3';

const svg = select('svg');
svg.style('background-color','black')
const width = +svg.attr('width');
const height = +svg.attr('height');

const eyeWidth = width / 2;
const eyeHeight = height / 2;

const g = svg
	.append('g')
		.attr('transform',`translate(${eyeWidth},${eyeHeight})`);

const circle = g
	.append('circle')
		.attr('r', eyeHeight)
		.attr('fill', 'red')
;

const eyeSpacing = 100;
const eyeRadius = 50;
const eyeYOffset = -80;

const eyeG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`)

const leftEye = eyeG
	.append('circle')
		.attr('r', eyeRadius)
		.attr('cx', -eyeSpacing)
;

const rightEye = eyeG
	.append('circle')
		.attr('r', eyeRadius)
		.attr('cx', eyeSpacing)
;

const mouth = g
	.append('path')
		.attr('d',arc()({
      innerRadius: 0,
    outerRadius: 180,
    startAngle: Math.PI / 2,
    endAngle: Math.PI *3 / 2
    }));

